<template>
  <div>
    <h1 class="mb-6">On average, how much alcohol do you drink per day?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, referMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";

const MORE_THAN_FOUR = '4 or more drinks'

export default {
  components: {CommonBtn, RadioInput},
  mixins: [answersMixin, referMixin],
  name: "YourHealth29",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_29')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        '0-1 drinks',
        '1-2 drinks',
        '3-4 drinks',
        MORE_THAN_FOUR,
      ]
    }
  },
  methods: {
    handleClick() {
      if (this.selected === MORE_THAN_FOUR) {
        this.setRefer('We’ve hit a road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. Patients with chronic heavy drinking habits may experience heightened sexual dysfunction and other negative side effects.')
      } else {
        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
